- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - PrincipalsAlias
  - LimitToEnabled
  - LimitToDeleted
  - LimitToEmail
  - MemberOfGroup PRINCIPAL_ID
  - LimitToPrivileged
  - LimitToUnprivileged
  - WhoHaveRight { Right => 'name', Object => $rt_object , IncludeSuperusers => undef, IncludeSubgroupMembers => undef, IncludeSystemRights => undef, EquivObjects => [ ] }
  - WhoBelongToGroups { Groups => ARRAYREF, IncludeSubgroupMembers => 1 }
  - NewItem

# NAME

      RT::Users - Collection of RT::User objects

# SYNOPSIS

      use RT::Users;

# DESCRIPTION

# METHODS

## PrincipalsAlias

Returns the string that represents this Users object's primary "Principals" alias.

## LimitToEnabled

Only find items that haven't been disabled

## LimitToDeleted

Only find items that have been deleted.

## LimitToEmail

Takes one argument. an email address. limits the returned set to that email address

## MemberOfGroup PRINCIPAL_ID

takes one argument, a group's principal id. Limits the returned set to members of a given group

## LimitToPrivileged

Limits to users who can be made members of ACLs and groups

## LimitToUnprivileged

Limits to unprivileged users only

## WhoHaveRight { Right => 'name', Object => $rt_object , IncludeSuperusers => undef, IncludeSubgroupMembers => undef, IncludeSystemRights => undef, EquivObjects => [ ] }

find all users who the right Right for this group, either individually or as members of groups

If passed a queue object, with no id, it will find users who have that right for _any_ queue

## WhoBelongToGroups { Groups => ARRAYREF, IncludeSubgroupMembers => 1 }

## NewItem

Returns an empty new RT::User item

← Back to index